## akonadi-contacts 24.08.2

=== debian/changelog ===
akonadi-contacts (4:24.08.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable tests.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Oct 2024 22:42:06 +0200

akonadi-contacts (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:02:46 +0200

akonadi-contacts (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 14:11:00 +0200
