=== debian/control ===
--- 
+++ 
@@ -10,30 +10,31 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.2~),
-               libgrantleetheme-dev (>= 24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libgrantleetheme-dev (>= 24.12.0~),
                libgrantleetheme-plugins,
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
-               libkf6contacts-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6prison-dev (>= 6.3.0~),
-               libkf6service-dev (>= 6.3.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6prison-dev (>= 6.6.0~),
+               libkf6service-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
-               libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
-               libkf6xmlgui-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
+               libkf6textwidgets-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6xmlgui-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -59,12 +60,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libgrantleetheme-dev (>= 24.08.2~),
-         libkf6contacts-dev (>= 6.3.0~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libgrantleetheme-dev (>= 24.12.0~),
+         libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: Akonadi contacts access library - development files
  This library provides contacts manipulation helpers using the
