=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libgrantleetheme-dev (>= 24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libgrantleetheme-dev (>= 24.12.2~),
                libgrantleetheme-plugins,
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
@@ -31,7 +31,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -60,8 +60,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libgrantleetheme-dev (>= 24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libgrantleetheme-dev (>= 24.12.2~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),
